Subject: GTK programs segfaulting

From: Bradley Haggerty <[email-masked]>
Date: Thu, 14 Mar 2019 04:19:31 +0000

Ludovic Courtès said:
> Could you then see if this can be reproduced in a VM?  That is, run:
>  guix system vm config.scm
> where config.scm is your system config, with Emacs added

I've started on this process but it's new to me so I'm a bit lost here.
I added emacs to the package list of my existing real config.scm, the one
at /etc/config.scm, then ran the guix system vm command on it. I read up a
bit
on what the command does, and I *think* I've now created a qemu-compatible
image that I now have to boot with qemu and it should be like my exact
system
minus user profile packages. I've never used qemu so I'm a bit intimidated
there,
but I plan to try to figure this out soon.